%define version 3.21
%define und_version %{majversion}_%{minversion}
%define name pstoedit
%define release 1mdk

Name:      %{name}
Version:   %{version}
Release:   %{release}
Summary:   Convert PostScript and PDF files into various vector-graphic formats
Copyright: GPL
URL:       http://www.geocities.com/SiliconValley/Network/1958/pstoedit/
Group:     Graphics
Requires:  ghostscript, plotutils >= 2.3
Prefix:    %{_prefix}
BuildRoot: %{_tmppath}/%{name}-buildroot
Source:    %{name}_%{version}.tar.bz2

%description
pstoedit converts PostScript and PDF files into a wide variety of editable
(and not-so-editable) formats: gnuplot, idraw, xfig, tgif, Tcl/Tk, HPGL,
PIC, LaTeX2e, MetaPost, Sketch, KIllustrator, PDF, GNU metafile, Java, DXF,
Real3D, RenderMan, LightWave, Adobe Illustrator, simplified PostScript, and
any format that Ghostscript or the GNU plotting utilities can output, such
as Tektronix, CGM, and various bitmap formats.

%prep
rm -rf $RPM_BUILD_ROOT


%setup -n %{name}_%version
cd $RPM_BUILD_DIR/%{name}_%{version}
chmod -R a+rX,g-w,o-w .
cd src

%build
cd config
./configure --libdir='${prefix}/share/pstoedit' --mandir=$RPM_BUILD_ROOT/%{_mandir}
cd ../src
cat Makefile | sed 's/-g -O2/${RPM_OPT_FLAGS}/g' > Makefile.tmp
mv Makefile.tmp Makefile
%make

%install
cd src
make prefix=$RPM_BUILD_ROOT%{_prefix} install
cd ..
find java -type d -exec install -d -m 0755 {} "$RPM_BUILD_ROOT%{_datadir}/pstoedit/{}" \;
for javafile in `find java -type f | grep -v readme`; do
  install -c -m 0644 $javafile "$RPM_BUILD_ROOT%{_datadir}/pstoedit/$javafile"
done
install -c -m 0644 misc/* "$RPM_BUILD_ROOT%{_datadir}/pstoedit"
cp copying COPYING
cp readme.txt README
find java -name "readme_*" -exec cp {} . \;

%clean
rm -rf "$RPM_BUILD_ROOT"

%files
%defattr(-, root, root)
%{_bindir}/*
%{_datadir}/pstoedit
%{_mandir}/man1/*
%doc README readme.* COPYING *.htm examples

%changelog
* Thu Jan 25 2001 Lenny Cartier <lenny@mandrakesoft.com> 3.21-1mdk
- updated to 3.21

* Thu Sep 14 2000 Lenny Cartier <lenny@mandrakesoft.com> 3.20-2mdk
- macros

* Wed Jul 26 2000 Lenny Cartier <lenny@mandrakesoft.com> 3.20-1mdk
- clean spec
- BM

* Sun Jul 23 2000 Scott Pakin <pakin@uiuc.edu>
- Upgraded to pstoedit 3.20

* Wed Jan 19 2000 Scott Pakin <pakin@uiuc.edu>
- Initial version
